package com.takensoft.ai_lms.lms.board.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;
import org.springmodules.validation.bean.conf.loader.annotation.handler.MaxSize;

import java.time.LocalDate;
import java.time.LocalDateTime;



/**
 * @author  : 박세훈
 * since   : 2024.07.25
 *
 * 게시판 관련 VO
 */



@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class BoardVO {

    // 게시판 아이디
    private String bbsId;
    // 게시판 제목
    private String bbsTitle;
    // 게시판 카테고리
    private String bbsCategory;
    // 게시판 내용
    private String bbsContents;
    // 게시판 등록 날짜
    private String bbsTime;
    // 파일 관리 아이디
    private String fileManageId;
    // 반 아이디
    private String sclsId;


}
